> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Device Approve

> Approve a device code from the dashboard.

Mints a daemon JWT (person-bound or as_admin) or, for `grant_admin`
approvals of an admin-requested login, a dashboard-grade admin JWT.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/hyperspell.yaml post /auth/device-approve
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security:
  - APIKey: []
    AsUser: []
paths:
  /auth/device-approve:
    post:
      tags:
        - Device Auth
      summary: Device Approve
      description: |-
        Approve a device code from the dashboard.

        Mints a daemon JWT (person-bound or as_admin) or, for `grant_admin`
        approvals of an admin-requested login, a dashboard-grade admin JWT.
      operationId: device_approve_auth_device_approve_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeviceApproveRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceApproveResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
components:
  schemas:
    DeviceApproveRequest:
      properties:
        device_code:
          type: string
          title: Device Code
        user_key:
          anyOf:
            - type: string
            - type: 'null'
          title: User Key
        as_admin:
          type: boolean
          title: As Admin
          default: false
        grant_admin:
          type: boolean
          title: Grant Admin
          default: false
        admin_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Admin Email
      type: object
      required:
        - device_code
      title: DeviceApproveRequest
    DeviceApproveResponse:
      properties:
        success:
          type: boolean
          title: Success
        message:
          type: string
          title: Message
      type: object
      required:
        - success
        - message
      title: DeviceApproveResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>
    AsUser:
      type: apiKey
      description: >-
        Optionally set this header to act as a specific user when using an API
        Key, equivalent to first exchanging the API Key for a User Token
      in: header
      name: X-As-User

````